package jp.co.joyzo.office.api.schedule.util;


/**
 * 仮予定の候補を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class CandidateItemType {
    private String _scheduleid;
    private String _facilityid;
    private Span _span;
    
    
    public CandidateItemType(){
    	this._scheduleid = null;
    	this._facilityid = null;
    	this._span = null;
    }

    /**
     * 予定IDを取得します。
     * @return 予定ID
     */
    public String getScheduleID() {
        return this._scheduleid;
    }

    /**
     * 予定IDを設定します。
     * @param scheduleid 予定ID
     */
    public void setScheduleID(String scheduleid) {
        this._scheduleid = scheduleid;
    }
    
    /**
     * 設備IDを取得します。
     * @return 設備ID
     */
    public String getFacilityID() {
        return this._facilityid;
    }

    /**
     * 設備IDを設定します。
     * @param facilityid 設備ID
     */
    public void setFacilityID(String facilityid) {
        this._facilityid = facilityid;
    }

	/**
	 * 予定の時間を取得します。
	 * @return 開始日時
	 */
	public Span getSpan() {
		return this._span;
	}
	
	/**
	 * 予定の時間を設定します。
	 * @param span 予定の時間
	 */
	public void setSpan(Span span) {
		this._span = span;
	}
}
