package jp.co.joyzo.office.api.schedule.util;


/**
 * フォローの内容を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class FollowContentType {
    private String _scheduleid;
    private String _content;
    
    public FollowContentType(){
    	this._scheduleid = null;
    	this._content = null;
    }

    /**
     * 予定IDを取得します。
     * @return 予定ID
     */
    public String getScheduleID() {
        return this._scheduleid;
    }

    /**
     * 予定IDを設定します。
     * @param scheduleid 予定ID
     */
    public void setScheduleID(String scheduleid) {
        this._scheduleid = scheduleid;
    }

    /**
     * フォローの内容を取得します。
     * @return 繰り返し予定の変更期間
     */
    public String getContent() {
        return this._content;
    }

    /**
     * フォローの内容を設定します。
     * @param content
     */
    public void setContent(String content) {
        this._content = content;
    }

}
